Video API, REST: Episode.GetManifests
Retrieves the manifest URLs for the episode's media content.
Manifests provide players with necessary information
for streaming the content with different quality levels and formats.
Manifests and its url MUST not be cached.
The player MUST request a fresh manifest every time playback starts.
HTTP request
GET https://video.api.yandexcloud.kz/video/v1/episodes/{episodeId}:getManifests
Path parameters
|
Field |
Description |
|
episodeId |
string Required field. ID of the episode for which to retrieve manifest URLs. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"manifests": [
{
"url": "string",
"type": "string"
}
]
}
|
Field |
Description |
|
manifests[] |
List of manifests available for the episode. |
Manifest
Represents a streaming manifest file that defines how video content is delivered.
Manifests contain information about available video qualities, audio tracks,
and other metadata needed by video players to stream content efficiently.
Manifests and its url MUST not be cached.
The player MUST request a fresh manifest every time playback starts.
|
Field |
Description |
|
url |
string URL where the manifest file can be accessed. |
|
type |
enum (ManifestType) Format of the manifest file.
|